Bug 804732 - [abrt] gedit-3.2.6-1.fc16: _int_realloc: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.6-1.fc16: _int_realloc: Process /usr/bin/gedit was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:901b13254cb83edffa5bf0fa3df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 12:55 EDT by Agustin Ferrario
Modified: 2013-02-13 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:03:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (11.39 KB, text/plain)
2012-03-19 12:55 EDT, Agustin Ferrario
no flags Details
File: maps (45.92 KB, text/plain)
2012-03-19 12:55 EDT, Agustin Ferrario
no flags Details
File: backtrace (55.75 KB, text/plain)
2012-03-19 12:55 EDT, Agustin Ferrario
no flags Details

  None (edit)
Description Agustin Ferrario 2012-03-19 12:55:05 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit /home/crash/Downloads/boinc_6.12.34_x86_64-pc-linux-gnu.sh
crash_function: _int_realloc
executable:     /usr/bin/gedit
kernel:         3.2.10-3.fc16.x86_64
pid:            5373
pwd:            /home/crash
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Mon 19 Mar 2012 01:20:38 PM ART
uid:            1000
username:       crash

backtrace:      Text file, 57093 bytes
dso_list:       Text file, 11662 bytes
maps:           Text file, 47018 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:2c2ffe21d64ba02aefe6acb804a4ea68318609fd
:07470201df55a5254027d05fa4dc509b10f2986a
:78c1ade3665ad67db02654e2e74152270c5852b3
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:b09b6378ed5afb257d4df095aa3f7055a6991bd1
:edebfad67bdac472272d049dc7ec302f47b02f32
:638db099ff5fb986d1a092629d1bb1dca5be4904
:aaf62304b0fc10611d35b4f56005479d4c58868d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:f9fea7527e0deebd694acc251008975312a3f74a
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:400444fb368f79b54959b083f449a1497bf71c13
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:d2ddca668b36423bb3a66540e10f99d60511978e
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:5954d7bfe38b223be907cd2041fd537129ba4254
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:124bfd663f5587288e6e0da8497fb4153469e657
:9ea81971c14b711655ced0a734db062ab7c4eec7
:34e8b3cee73a6d0b8ac17c69ba4b1170724db64c
:545fac2346ca24589041213956b7f22f7e91c139
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:8b69ad2ef8adde1ffce0fd95b96972a9d7d36956
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:c1d5f5ac1a648ca056beb15773ff5c2206c35fc4
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:f0d50e3af2dfee021a327fb85a993a2312a98145
:9cbae0b686ea8eeac3f63e587686410fce16ae7a
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:48aea888319e1848137073c9cbde54a4c2a731c9
:42775d7b03f3bb80f4c39e5c25851ba95a8c8f7f
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:40a6a86871e94198ac5c10fa80f1dacef289a7f7
:be507c791e34415e8f42f0e6030c889b2895cf9a
:8f0dfaeabfdef227c21394ba582bff8cbf8e2aa2
:c5e777db418e7b567423c9ee00a707a172a7f824
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:b3c60343c4ef09307cd644d5da914f6c14107c0b
:086a89da9eda42d4accd919bf03231812aba9c25
:e46beef0b430d916987f1f58d1aefc7e1a016e10
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:39294193f046cf15442542705526228c60d70a6e
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:8009814ce52c32006d115c100ee4e7eefa4d82bf
:aa733447f84020c94a66814e501a36e248cbb43d
:d18b21fecc0a5a2030a31309a9bf43721b0d0a63
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:82c3cfa1f252764ca765645a7f87152caf9059ea
:c38e98f36ece34e90c2ec0669a66d7759cf5948e
:aa8e279c789ee4664342250eed2c6ea64f9cb3ab
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:6c8f6aef9bf03bec4be1bf29e3e27b4ef0a68c56
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:273bc34c52b41a24d66432ac82ab8ef5df394529
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:b7de6967148b62ea20013920d31f0002df1426ca
:3f8e1ac221c628769e28ed4a1cfddc5d90e4aaf8
:ae2d5038d6970864ef6fe0c48be689fedbc9ee2e
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:9b943ecb0a5620029a2c4fb34e290ca4930642c4
:719a85c49c612de86619fed98146f316432aee92
:4bc56fe20c2ec4ce2466d7fa505d48f8fea5decb
:e5429e0905bedecc534b057783916ba43e06a66e
:5393d882ce329cabe4ddf6bedaef1cc906664889
:4953d1f613914126bccceb3cb96386647ffba9df
:e17eba0db37de02eb984c3dba5db3ba21ae809c8
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:040f78c63e49df93936f710287bdc74ae83111c0
:1406558950ff100eb0320a325b3ea7961ba1a775
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

comment:
:1)Trying to open a file with an unkwon encoding
:2)Takes to long so I pressed on close button
:3)It crashed

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=crash.CrashComputer
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8e26cc051d3dee079040cdcf0000000a-1332159171.576908-1565458917
:IMSETTINGS_MODULE=none
:USER=crash
:G_SLICE=always-malloc
:USERNAME=crash
:MAIL=/var/spool/mail/crash
:PATH=/usr/java/default/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/crash/.local/bin:/home/crash/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/crash
:JAVA_HOME=/usr/java/default
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/crash
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=crash
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rzOZnbXj8B,guid=7c1e456df98d7475844db5e90000001b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/crash
:DISPLAY=:0.0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-crash-z8KrMA/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1267,unix/unix:/tmp/.ICE-unix/1267
:GNOME_KEYRING_CONTROL=/tmp/keyring-3MgiBn
:GPG_AGENT_INFO=/tmp/keyring-3MgiBn/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-3MgiBn/ssh
:DESKTOP_AUTOSTART_ID=10382243299c2a96bc133215917313130500000012670022
:DESKTOP_STARTUP_ID=nautilus-1547-crash.CrashComputer-gedit-4_TIME14856332
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5373

smolt_data:
:
:
:General
:=================================
:UUID: 71529c17-35d9-4a1b-81b5-405089ce8f2e
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6830.55
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 965 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 3400
:System Memory: 1749
:System Swap: 1951
:Vendor: Gigabyte Technology Co., Ltd.
:System: GA-MA785GMT-US2H 
:Form factor: Desktop
:Kernel: 3.2.10-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38409:4130:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:40962) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38672:5208:53248) pci, radeon, VIDEO, RS880 [Radeon HD 4200]
:(4098:38671:5208:38415) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 24387426 3593121 3349076 6111232 5776943 5776943
:/dev/sda6 /home ext4 4096 4096 48294421 13148596 10730869 12091392 11927452 11927452
:

var_log_messages:
:Mar 19 13:20:38 crash kernel: [14893.944718] gedit[5373]: segfault at 28573f00018 ip 00000030f807e12f sp 00007fff0c9f43a0 error 4 in libc-2.14.90.so[30f8000000+1ad000]
:Mar 19 13:20:39 crash abrt[5383]: Saved core dump of pid 5373 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-03-19-13:20:38-5373 (83435520 bytes)

xsession_errors:
:(gedit:1708): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:61:17: Themeing engine 'unico' not found
:(gedit:1716): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:61:17: Themeing engine 'unico' not found
:(gedit:5373): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:61:17: Themeing engine 'unico' not found
:(gedit:5373): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GtkSourceGutterRenderer'
:(gedit:5373): GtkSourceView-CRITICAL **: gtk_source_gutter_renderer_get_view: assertion `GTK_SOURCE_IS_GUTTER_RENDERER (renderer)' failed
:(gedit:5373): Gtk-CRITICAL **: gtk_text_view_get_buffer: assertion `GTK_IS_TEXT_VIEW (text_view)' failed
:(gedit:5373): Gtk-CRITICAL **: gtk_text_buffer_get_line_count: assertion `GTK_IS_TEXT_BUFFER (buffer)' failed
:(gedit:5373): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GtkSourceGutterRendererText'
:(gedit:5373): GtkSourceView-CRITICAL **: gtk_source_gutter_renderer_text_measure_markup: assertion `GTK_SOURCE_IS_GUTTER_RENDERER_TEXT (renderer)' failed
:(gedit:5373): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GtkSourceGutterRenderer'
:(gedit:5373): GtkSourceView-CRITICAL **: gtk_source_gutter_renderer_set_size: assertion `GTK_SOURCE_IS_GUTTER_RENDERER (renderer)' failed
Comment 1 Agustin Ferrario 2012-03-19 12:55:13 EDT
Created attachment 571189 [details]
File: dso_list
Comment 2 Agustin Ferrario 2012-03-19 12:55:18 EDT
Created attachment 571190 [details]
File: maps
Comment 3 Agustin Ferrario 2012-03-19 12:55:24 EDT
Created attachment 571191 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 12:25:12 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 17:03:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.